# Poco::Net

# class HTTPSessionInstantiator

Library: Net
Package: HTTPClient
Header: Poco/Net/HTTPSessionInstantiator.h

## Description

A factory for HTTPClientSession objects.

Creates a HTTP session for a given URI. A HTTPSessionInstantiator is not used directly. Instances are registered with a HTTPSessionFactory, and used through it.

## Inheritance

Known Derived Classes: HTTPSSessionInstantiator

## Member Summary

Member Functions: createClientSession, proxyHost, proxyPort, registerInstantiator, setProxy, unregisterInstantiator

## Constructors

### HTTPSessionInstantiator

HTTPSessionInstantiator();

Creates the HTTPSessionInstantiator.

## Destructor

### ~HTTPSessionInstantiator

virtual ~HTTPSessionInstantiator();

Destroys the HTTPSessionInstantiator.

## Member Functions

### createClientSession

virtual HTTPClientSession * createClientSession(
const Poco::URI & uri
);

Creates a HTTPClientSession for the given URI.

### registerInstantiator

static void registerInstantiator();

Registers the instantiator with the global HTTPSessionFactory.

### unregisterInstantiator

static void unregisterInstantiator();

Unregisters the factory with the global HTTPSessionFactory.

### proxyHost

const std::string & proxyHost() const;

Returns the proxy post.

### proxyPort

Poco::UInt16 proxyPort() const;

Returns the proxy port.

### setProxy

void setProxy(
const std::string & host,
Poco::UInt16 port
);

Sets the proxy host and port. Called by HTTPSessionFactory.